Name:          translate-toolkit
Version:       3.4.0
Release:       1mamba
Summary:       Tools for localization
Group:         Applications/Development
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://sourceforge.net/projects/translate/
Source:        https://github.com/translate/translate.git/%{version}/translate-%{version}.tar.bz2
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython3-devel
BuildRequires: python3.7dist(lxml)
BuildRequires: python3.7dist(setuptools)
## AUTOBUILDREQ-END

%description
Tools for localization: Pootle: web based translation management system. Virtaal: Computer Aided Translation (CAT) tool, Translate Toolkit: QA, format conversion and support (PO, Java .properties, OpenOffice, Mozilla, XLIFF, TMX, TBX, CSV, Qt .ts).

%prep
%setup -q -n translate-%{version}

%build
CFLAGS="%{optflags}" %{__python3} setup.py build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python3} setup.py install \
   --root="%{buildroot}" \
   --install-headers=%{python3_inc} \
   --install-lib=%{python3_sitearch}

# FIXME: strange files installed with ugly workaround
rm -rf %{buildroot}$HOME

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/*
%dir %{python3_sitearch}/translate
%{python3_sitearch}/translate/*
%{python3_sitearch}/translate_toolkit-*-py*.egg-info
%ifarch x86_64 aarch64
%dir %{python3_sitelib}/translate
%{python3_sitelib}/translate/*
%endif
#%{python_sitearch}/docs/*
#%{python_sitearch}/share/*
%doc COPYING
#README

%changelog
* Sat Aug 21 2021 Automatic Build System <autodist@mambasoft.it> 3.4.0-1mamba
- automatic version update by autodist

* Sun Jun 13 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 3.3.6-1mamba
- update to 3.3.6

* Mon Nov 09 2020 Automatic Build System <autodist@mambasoft.it> 3.2.0-1mamba
- automatic version update by autodist

* Sun Sep 27 2020 Automatic Build System <autodist@mambasoft.it> 3.1.1-1mamba
- automatic version update by autodist

* Wed Jul 01 2020 Automatic Build System <autodist@mambasoft.it> 3.0.0-1mamba
- automatic version update by autodist

* Sun Jan 19 2020 Automatic Build System <autodist@mambasoft.it> 2.5.0-1mamba
- automatic version update by autodist

* Wed Jul 03 2019 Automatic Build System <autodist@mambasoft.it> 2.4.0-1mamba
- automatic version update by autodist

* Mon Feb 04 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 2.3.1-1mamba
- update to 2.3.1

* Fri Mar 31 2017 Automatic Build System <autodist@mambasoft.it> 2.1.0-1mamba
- automatic version update by autodist

* Sun Feb 12 2017 Automatic Build System <autodist@mambasoft.it> 2.0.0-1mamba
- automatic version update by autodist

* Wed Sep 16 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 1.13.0-1mamba
- update to 1.13.0

* Mon Dec 22 2014 Automatic Build System <autodist@mambasoft.it> 1.12.0-1mamba
- automatic version update by autodist

* Thu Oct 09 2014 Automatic Build System <autodist@mambasoft.it> 1.11.0-1mamba
- automatic version update by autodist

* Tue Oct 29 2013 Automatic Build System <autodist@mambasoft.it> 1.10.0-1mamba
- automatic version update by autodist

* Wed Oct 12 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 1.9.0-1mamba
- update to 1.9.0

* Wed Oct 12 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 1.8.1-1mamba
- package created by autospec
